Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 151640 - Two different watches for 'this'
Two different watches for 'this'
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
6.x
All Windows XP
: P3 (vote)
: 6.x
Assigned To: _ gordonp
issues@cnd
65fixes2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 18:41 UTC by Alexander Pepin
Modified: 2009-06-25 10:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (166.53 KB, image/jpeg)
2008-10-28 18:42 UTC, Alexander Pepin
Details
gdb log (31.52 KB, text/plain)
2008-10-28 18:44 UTC, Alexander Pepin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2008-10-28 18:41:26 UTC
While debugging a real-life application I observed two inconsistent Watches for 'this'(see attached screenshot).
My steps were:
- set a PB in one class method
- created a Watch for 'this'
- did step into method of another class
Result: I could see under 'this' only primitive type members of the class. When I created the second watch for 'this' it
showed all members of the class
Comment 1 Alexander Pepin 2008-10-28 18:42:36 UTC
Created attachment 72795 [details]
screenshot
Comment 2 Alexander Pepin 2008-10-28 18:44:57 UTC
Created attachment 72796 [details]
gdb log
Comment 3 _ gordonp 2009-01-05 23:13:08 UTC
The fix for this issue is similar to the fix for 151631 and 156172. Its one more field in
TypeInfo which needs to be reset for a Watch (the "map" field). The changeset is
http://hg.netbeans.org/main/rev/567e350aca22.
Comment 4 jinb 2009-01-07 19:40:47 UTC
QA, please verify this fix till 14-Jan-2009, so it can be part of NB 6.5 patch 2.
Comment 5 Alexander Pepin 2009-01-13 13:29:49 UTC
verified in build 20090113092345
Comment 6 Alexander Pepin 2009-01-13 15:17:29 UTC
It would be nice to have the fix in NB 6.5 patch
Comment 7 Alexander Pepin 2009-01-14 14:27:44 UTC
verified in NB6.5 with provided jar files
Comment 8 jinb 2009-01-14 17:43:52 UTC
Cumulative backport of fixes of IZ 151481(rebackport), 151577, 151610, 153473, 151640, 151761, 155487, 151631, 133134
provided by developer.
Backported into release65_fixes branch
http://hg.netbeans.org/release65_fixes/rev/84a0c7175a4b
Comment 9 Alexander Pepin 2009-01-19 15:22:36 UTC
verified in patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo